## org.gnu.gtk
Class Style

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.Style

public class Style
extends GObject

Constructor Summary
`Style()` Construct a new Style object.
`Style(org.gnu.glib.Handle handle)` Construct a new Style object from a handle to a native resource.

Method Summary
`void` `applyDefaultBackground(Window window, boolean setBG, StateType stateType, Rectangle rect, int x, int y, int width, int height)`
`Style` `attach(Window window)`
`void` `detach(Style style)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`IconSet` `lookupIconSet(java.lang.String stockID)`
`void` `setBackground(Window window, StateType stateType)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Style

    public Style()

  Construct a new Style object.

### Style

    public Style(org.gnu.glib.Handle handle)

  Construct a new Style object from a handle to a native resource.

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### attach

    public Style attach(Window window)

### detach

    public void detach(Style style)

### setBackground

    public void setBackground(Window window,
                              StateType stateType)

### applyDefaultBackground

    public void applyDefaultBackground(Window window,
                                       boolean setBG,
                                       StateType stateType,
                                       Rectangle rect,
                                       int x,
                                       int y,
                                       int width,
                                       int height)

### lookupIconSet

    public IconSet lookupIconSet(java.lang.String stockID)